Bug 964946 - ga-5.1.1-2.el6 is not build for i686 because of wrong ExclusiveArch
ga-5.1.1-2.el6 is not build for i686 because of wrong ExclusiveArch
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: ga (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Brown
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 03:33 EDT by Tuomo Soini
Modified: 2013-06-06 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: ga-5.1.1-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 12:57:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use same exclusivearch for all epel versions (574 bytes, patch)
2013-05-20 03:33 EDT, Tuomo Soini
no flags Details | Diff

  None (edit)
Description Tuomo Soini 2013-05-20 03:33:12 EDT
Created attachment 750432 [details]
Use same exclusivearch for all epel versions

Description of problem:

ga-5.1.1-2.el6 is not build for i686 because of wrong ExclusiveArch

Attached patch should fix the issue.

Logics used is: if rhel and rhel verion less than 7 then use exclusivearch.
Comment 1 David Brown 2013-05-21 15:09:30 EDT
I've been working with upstream to understand what architectures they support. They are mainly driven by scientific applications developed here at PNNL. So support is really only for x86 and x86_64.

So to get the right string specifically your patch to change it to ix86 didn't work, however i686 did. I'm using mock -r epel-6-i386 on my fedora 18 system. 

http://koji.fedoraproject.org/koji/buildinfo?buildID=420736
Comment 2 Fedora Update System 2013-05-21 15:51:39 EDT
ga-5.1.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ga-5.1.1-3.el6
Comment 3 Fedora Update System 2013-05-22 17:38:08 EDT
Package ga-5.1.1-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ga-5.1.1-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5882/ga-5.1.1-3.el6
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-06 12:57:09 EDT
ga-5.1.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.